Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface ActivityExtInfoListDocument

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  ActivityExtInfoListDocumentImpl

    public interface ActivityExtInfoListDocument

extends org.apache.xmlbeans.XmlObject

A document containing one activity-ext-info-list(@http://www.apache.org/ode/pmapi/types/2006/08/02/) element. This is a complex type.

Nested Class Summary
`static class` | `ActivityExtInfoListDocument.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TActivitytExtInfoList` | `addNewActivityExtInfoList()` Appends and returns a new empty "activity-ext-info-list" element
`TActivitytExtInfoList` | `getActivityExtInfoList()` Gets the "activity-ext-info-list" element
`void` | `setActivityExtInfoList(TActivitytExtInfoList activityExtInfoList)` Sets the "activity-ext-info-list" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getActivityExtInfoList

    TActivitytExtInfoList getActivityExtInfoList()

  Gets the "activity-ext-info-list" element

### setActivityExtInfoList

    void setActivityExtInfoList(TActivitytExtInfoList activityExtInfoList)

  Sets the "activity-ext-info-list" element

### addNewActivityExtInfoList

    TActivitytExtInfoList addNewActivityExtInfoList()

  Appends and returns a new empty "activity-ext-info-list" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD